org.apache.cassandra.repair

## Class RemoteSyncTask

- java.lang.Object
- - com.google.common.util.concurrent.AbstractFuture<SyncStat>
  - - org.apache.cassandra.repair.SyncTask
    - - org.apache.cassandra.repair.RemoteSyncTask

All Implemented Interfaces:
  com.google.common.util.concurrent.ListenableFuture<SyncStat>, java.lang.Runnable, java.util.concurrent.Future<SyncStat>

    public class RemoteSyncTask
    extends SyncTask

RemoteSyncTask sends `SyncRequest` to remote(non-coordinator) node to repair(stream) data with other replica. When RemoteSyncTask receives SyncComplete from remote node, task completes.

### Field Summary

### Fields inherited from class org.apache.cassandra.repair.SyncTask

`desc, r1, r2, stat`

### Constructor Summary

Constructors
Constructor and Description
`RemoteSyncTask(RepairJobDesc desc, TreeResponse r1, TreeResponse r2)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `startSync(java.util.List<Range<Token>> differences)`
`void` `syncComplete(boolean success)`

### Methods inherited from class org.apache.cassandra.repair.SyncTask

`getCurrentStat, run`

### Methods inherited from class com.google.common.util.concurrent.AbstractFuture

`addListener, cancel, get, get, interruptTask, isCancelled, isDone, set, setException, wasInterrupted`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RemoteSyncTask

    public RemoteSyncTask(RepairJobDesc desc,
                          TreeResponse r1,
                          TreeResponse r2)

### Method Detail

#### startSync

    protected void startSync(java.util.List<Range<Token>> differences)

Specified by:
  `startSync` in class `SyncTask`

#### syncComplete

    public void syncComplete(boolean success)